Subject: Re: [PATCH v3 3/4] net: nb8800: Move HW init to ndo_open()

From: Andrew Lunn <[email-masked]>
Date: Thu, 16 Nov 2017 17:23:49 +0100

> I'm starting to think there is some kind of race condition between
> SW and HW handling of descriptors. This might also explain the
> out-of-order warnings.

Hi Marc

Maybe take a look at your memory barriers. Most accesses using the
_relaxed() version, i.e, no barrier. And then there are specific
barriers when needed. One could be missing.

As a quick test, drop the _relaxed. Force a barrier with each
access. If that works, it is a clear indication you have a barrier
problem.

	Andrew